ru.bitel.bgbilling.kernel.tariff.common.bean

## Class TariffGroup

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.tariff.common.bean.TariffGroup

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class TariffGroup
      extends IdTitle
      implements ListItem, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TRANSFER_DAY`
    `static int` | `TRANSFER_DAY_FROM_TOMORROW`
    `static int` | `TRANSFER_MONTH`
    `static int` | `TRANSFER_WEEK`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPlanList(int tariffId, java.lang.String tariffTitle, java.util.Date date1, java.util.Date date2, java.lang.String comment)` Нормальный вариант доступа к инкапсулированной в модели коллекции.
    `int` | `getDaysForward()`
    `int` | `getDomainId()`
    `java.util.List<TariffGroupTariff>` | `getPlanList()` Список элементов группы тарифов.
    `int` | `getPos()`
    `int` | `getTransferMode()`
    `void` | `setDaysForward(int daysForward)`
    `void` | `setDomainId(int domainId)`
    `void` | `setPlanList(java.util.List<TariffGroupTariff> list)`
    `void` | `setPos(int pos)`
    `void` | `setTransferMode(int transferMode)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId, getTitle`

- - ### Field Detail

    - #### TRANSFER_DAY

          public static final int TRANSFER_DAY

      See Also:
        Constant Field Values

    - #### TRANSFER_WEEK

          public static final int TRANSFER_WEEK

      See Also:
        Constant Field Values

    - #### TRANSFER_MONTH

          public static final int TRANSFER_MONTH

      See Also:
        Constant Field Values

    - #### TRANSFER_DAY_FROM_TOMORROW

          public static final int TRANSFER_DAY_FROM_TOMORROW

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TariffGroup

          public TariffGroup()

  - ### Method Detail

    - #### getPos

          public int getPos()

    - #### setPos

          public void setPos(int pos)

    - #### getPlanList

          public java.util.List<TariffGroupTariff> getPlanList()

      Список элементов группы тарифов.
      Returns:
        unmodifiable collection.

    - #### getTransferMode

          public int getTransferMode()

    - #### getDaysForward

          public int getDaysForward()

    - #### getDomainId

          public int getDomainId()

    - #### setDomainId

          public void setDomainId(int domainId)

    - #### addPlanList

          public void addPlanList(int tariffId,
                                  java.lang.String tariffTitle,
                                  java.util.Date date1,
                                  java.util.Date date2,
                                  java.lang.String comment)

      Нормальный вариант доступа к инкапсулированной в модели коллекции. Добавление элемента.
      Parameters:
        `tariffId` - ид тарифа
        `tariffTitle` - заголовок тарифа (уже приджойнится из таблицы тарифов)
        `date1` - (начало периода)
        `date2` - (конец периода)

    - #### setPlanList

          public void setPlanList(java.util.List<TariffGroupTariff> list)

    - #### setTransferMode

          public void setTransferMode(int transferMode)

    - #### setDaysForward

          public void setDaysForward(int daysForward)